Package io.github.jdbcx.impl

# Class DefaultConnectionListener

java.lang.Object
io.github.jdbcx.impl.DefaultConnectionListener

All Implemented Interfaces:
  `ConnectionListener`

public class DefaultConnectionListener extends Object implements ConnectionListener

## Method Summary

Modifier and Type
Method
Description
`static DefaultConnectionListener`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.ConnectionListener

`onError, onMetaData, onMetaData, onMetaData, onQuery, onQuery, onResult`

## Method Details

### getInstance

public static DefaultConnectionListener getInstance()